using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WIQL;

internal class WorkItem
{

    [JsonConstructor]
    public WorkItem(
        int id,
        string url
    )
    {
        Id = id;
        Url = url;
    }

    [JsonPropertyName("id")] public int Id { get; }
    [JsonPropertyName("url")] public string Url { get; }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(WorkItem))]
internal partial class WIQLWorkItemSourceGenerationContext : JsonSerializerContext
{
}